eshop access on n3ds/og3ds !? (in RxTools emuNAND)

Discussion in '3DS - Flashcards & Custom Firmwares' started by leonmagnus99, Dec 25, 2015.

  1. leonmagnus99
    OP

    leonmagnus99 GBAtemp Addict

    Member
    2,451
    606
    Apr 2, 2013
    Seinegald
    is this safe to do guys !?

    i only use emuNAND and i have both GW (red card) and RxTools emuNAND working on both my n3ds and my og3ds,

    my n3ds latest emuNAND is 9.4 and i know that max. for it is 9.5 < so can i still use the eshop?

    and what of the og3ds can it also be used there ? my og3ds emuNAND is on latest 10.3 <

    i need eshop access for an online game , Dragon Quest X .
     
  2. Townsperson

    Townsperson GBAtemp Fan

    Member
    398
    272
    Dec 7, 2015
    United States
    O3DS on 10.3 emunand can access the eshop normally. For N3DS, you'll need to install the latest NVer and use Hans for rxTools emunand, or install latest NVer and Tiger and use FreeMultiPatcher to access eshop (On GW emunand only).

    Guides for both of these methods are available on the forums.
     
    leonmagnus99 likes this.
  3. leonmagnus99
    OP

    leonmagnus99 GBAtemp Addict

    Member
    2,451
    606
    Apr 2, 2013
    Seinegald
    sweet thanks, i will use Hans on n3ds then !

    edit: where do i find the NVer!? my console is of US region hm

    Edit2: http://yls8.mtheall.com/ninupdates/titlelist.php?date=10-19-15_08-05-28&sys=ktr
    is this what i need ? i see 10.2 only for n3ds < what exactly do i do with this, sorry this is my first time trying to access eshop within emuNAND .
     
    Last edited by leonmagnus99, Dec 25, 2015
  4. Townsperson

    Townsperson GBAtemp Fan

    Member
    398
    272
    Dec 7, 2015
    United States
    Just note that it isn't exactly perfect. Game updates and any games with new encryption seem to fail to install for N3DS. If things do fail, you can always visit that one site to find installable versions of the updates, etc. that you need.

    I believe v448 is the newest version (All NVer does is add the -XX to the end of your firmware version. You need -28 to pass the new NNID checks). To install, use a CIA installer or sysupdater while in emunand.
     
    Last edited by Townsperson, Dec 25, 2015
  5. leonmagnus99
    OP

    leonmagnus99 GBAtemp Addict

    Member
    2,451
    606
    Apr 2, 2013
    Seinegald
    i think i give up on it, because for that game i most likely will need a JPN eshop access XDD oh well. ( cause dragon quest x is a japanese online based game)

    thanks though :)
     
  6. Townsperson

    Townsperson GBAtemp Fan

    Member
    398
    272
    Dec 7, 2015
    United States
    No problem. Nothing you can do if it's only on the JP eshop, aside from getting it elsewhere.
     
  7. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    Updates will install just fine. Its only games/demos with the new encryption that seem to error out, and nearest I can tell it only does that for GW users that installed the updated eShop.

    That said, keep in mind that if the update was released with a higher fw/kernel requirement than you currently have (in general anything 9.6+ is guaranteed to have this problem) it will cause the game to hang on the 3DS logo when you launch it after updating. Unless of course you are using GW.

    Really wish someone would figure out how the hell they are spoofing that on the fly.